org.apache.xmpbox.type

## Class ThumbnailType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.ThumbnailType

    public class ThumbnailType
    extends AbstractStructuredType

Object representation of an Thumbnail XMP type

Author:
  eric

### Field Summary

Fields
`static String` `FORMAT`
`static String` `HEIGHT`
`static String` `IMAGE`
`static String` `WIDTH`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ThumbnailType(XMPMetadata metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFormat()` Get Format
`Integer` `getHeight()` Get Height
`String` `getImage()` Get The img data
`Integer` `getWidth()` Get Width
`void` `setFormat(String format)` Set Format
`void` `setHeight(Integer height)` Set Height
`void` `setImage(String image)` Set Image data
`void` `setWidth(Integer width)` Set Width

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FORMAT

    public static final String FORMAT

See Also:
  Constant Field Values

#### HEIGHT

    public static final String HEIGHT

See Also:
  Constant Field Values

#### WIDTH

    public static final String WIDTH

See Also:
  Constant Field Values

#### IMAGE

    public static final String IMAGE

See Also:
  Constant Field Values

### Constructor Detail

#### ThumbnailType

    public ThumbnailType(XMPMetadata metadata)

Parameters:
  `metadata` - The metadata to attach to this property

### Method Detail

#### getHeight

    public Integer getHeight()

Get Height

Returns:
  the height

#### setHeight

    public void setHeight(Integer height)

Set Height

Parameters:
  `height` - the value of Height property to set

#### getWidth

    public Integer getWidth()

Get Width

Returns:
  the width

#### setWidth

    public void setWidth(Integer width)

Set Width

Parameters:
  `width` - the value of width property to set

#### getImage

    public String getImage()

Get The img data

Returns:
  the img

#### setImage

    public void setImage(String image)

Set Image data

Parameters:
  `image` - the value of image property to set

#### getFormat

    public String getFormat()

Get Format

Returns:
  the format

#### setFormat

    public void setFormat(String format)

Set Format

Parameters:
  `format` - the value of format property to set